Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QCoreApplication.Encoding

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QCoreApplication.Encoding

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QCoreApplication

    public static final class QCoreApplication.Encoding

extends java.lang.Enum
implements QtEnumerator

This enum type defines the 8-bit encoding of character string arguments to `translate()`:

See also:
  QObject::tr(), QObject::trUtf8(), and QString::fromUtf8().

See Also:
  Serialized Form

Field Summary
`static QCoreApplication.Encoding` | `CodecForTr` The encoding specified by QTextCodec.:codecForTr() (Latin-1 if none has been set).
`static QCoreApplication.Encoding` | `UnicodeUTF8` UTF-8.

Method Summary
`static QCoreApplication.Encoding` | `resolve(int value)` Returns the QCoreApplication$Encoding constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCoreApplication.Encoding` | `valueOf(java.lang.String name)`
`static QCoreApplication.Encoding[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CodecForTr

    public static final QCoreApplication.Encoding CodecForTr

  The encoding specified by QTextCodec.:codecForTr() (Latin-1 if none has been set).

### UnicodeUTF8

    public static final QCoreApplication.Encoding UnicodeUTF8

  UTF-8.

Method Detail

### values

    public static QCoreApplication.Encoding[] values()

### valueOf

    public static QCoreApplication.Encoding valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCoreApplication.Encoding resolve(int value)

  Returns the QCoreApplication$Encoding constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD